STEGDETECT(1)

NAME
stegdetect - finds image files with steganographic content

SYNOPSIS
stegdetect [-qnV] [-s float] [-d num] [-t tests] [file ...]

DESCRIPTION
The stegdetect utility analyses image files for steganographic content. It runs statistical tests to determine if steganographic content is present, and also tries to find the system that has been used to embed the hidden information.

The options are as follows:

-q  Only reports images that are likely to have steganographic content.

-n  Enables checking of JPEG header information to surpress false positives. If enabled, all JPEG images that contain comment fields will be treated as negatives. OutGuess checking will be disabled if the JFIF marker does not match version 1.1.

-V  Displays the version number of the software.

-s float
    Changes the sensitivity of the detection algorithms. Their results are multiplied by the specified number. The higher the number the more sensitive the test will become. The default is 1.

-d num
    Prints debug information.

-t tests
    Sets the tests that are being run on the image. The following characters are understood:

    j   Tests if information has been embedded with jsteg.

    o   Tests if information has been embedded with outguess.

    p   Tests if information has been embedded with jphide.

    i   Tests if information has been hidden with invisible secrets.

    f   Tests if information has been hidden with F5.

    a   Tests if information has been added at the end of file, for example by camouflage or appendX.

    The default value is jopifa.

The stegdetect utility indicates the accuracy of the detection with a number of stars behind the detected system. If no filenames have been specified, stegdetect will read the filenames from stdin.

EXAMPLES
stegdetect -t p auto.jpg

Tries to detect the presence of jphide embedded information in auto.jpg.

ERRORS
stegdetect works only for JPEG images.

Currently, there is no support for parameter training. The only exported knob is the sensitivity level. Future versions will export all detection parameters via a configuration file.

SEE ALSO
stegbreak(1)

ACKNOWLEDGEMENTS
This product includes software developed by Ian F. Darwin and others. The stegdetect utility uses Darwin's file magic to identify data appended at the end of an image.

AUTHORS
The stegdetect utility has been developed by Niels Provos.